> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poelis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Changelog

> API changes and updates

export const file_id_0 = undefined

export const target_id_0 = undefined

export const item_id_0 = undefined

export const product_id_0 = undefined

export const property_id_0 = undefined

Stay up to date with API changes: new endpoints, updates to existing ones and other improvements.

<Update label="July 16, 2026">
  ## API Changes

  ### GET /v1/public/files

  * added the required property `items/items/name` to the response with the `200` status

  ### GET /v1/public/files/{file_id_0}

  * added the required property `name` to the response with the `200` status

  ### PATCH /v1/public/files/{file_id_0}

  * added the required property `name` to the response with the `200` status

  ### POST /v1/public/files/{target_id_0}

  * added the required property `name` to the response with the `201` status
</Update>

<Update label="June 23, 2026">
  ## API Changes

  ### Versioning ID Updates

  * Every item and property is now assigned a **new `id`** for each published version (previously, unchanged entities shared the same `id` across versions).
  * You must use the stable `draft_item_id` and `draft_property_id` fields to match and correlate entities across versions.
</Update>

<Update label="June 10, 2026">
  ## API Changes

  ### GET /v1/public/items

  * added the optional property `items/items/part_number` to the response with the `200` status

  ### POST /v1/public/items

  * added the new optional request property `part_number`
  * added the optional property `part_number` to the response with the `201` status

  ### GET /v1/public/items/{item_id_0}

  * added the optional property `part_number` to the response with the `200` status

  ### PATCH /v1/public/items/{item_id_0}

  * added the new optional request property `part_number`
  * added the optional property `part_number` to the response with the `200` status

  ### GET /v1/public/products

  * added the optional property `items/items/part_number` to the response with the `200` status

  ### POST /v1/public/products

  * added the new optional request property `part_number`
  * added the optional property `part_number` to the response with the `201` status

  ### GET /v1/public/products/{product_id_0}

  * added the optional property `part_number` to the response with the `200` status

  ### PATCH /v1/public/products/{product_id_0}

  * added the new optional request property `part_number`
  * added the optional property `part_number` to the response with the `200` status
</Update>

<Update label="May 20, 2026">
  ## API Changes

  ### GET /v1/public/files

  * ⚠️ removed the required property `items/items/name` from the response with the `200` status
  * ⚠️ removed the optional property `items/items/title` from the response with the `200` status
  * added the optional property `items/items/userTitle` to the response with the `200` status
  * added the required property `items/items/originalFileName` to the response with the `200` status

  ### GET /v1/public/files/{file_id_0}

  * ⚠️ removed the required property `name` from the response with the `200` status
  * ⚠️ removed the optional property `title` from the response with the `200` status
  * added the optional property `userTitle` to the response with the `200` status
  * added the required property `originalFileName` to the response with the `200` status

  ### PATCH /v1/public/files/{file_id_0}

  * ⚠️ removed the required property `name` from the response with the `200` status
  * ⚠️ removed the request property `title`
  * ⚠️ removed the optional property `title` from the response with the `200` status
  * added the new optional request property `userTitle`
  * added the optional property `userTitle` to the response with the `200` status
  * added the required property `originalFileName` to the response with the `200` status

  ### POST /v1/public/files/{target_id_0}

  * ⚠️ removed the required property `name` from the response with the `201` status
  * ⚠️ removed the request property `title`
  * ⚠️ removed the optional property `title` from the response with the `201` status
  * added the new optional request property `userTitle`
  * added the optional property `userTitle` to the response with the `201` status
  * added the required property `originalFileName` to the response with the `201` status
</Update>

<Update label="May 18, 2026">
  ## API Changes

  ### POST /v1/public/files/{target_id_0}

  * endpoint added
</Update>

<Update label="May 15, 2026">
  ## API Changes

  ### GET /v1/public/organization/users

  * endpoint added
</Update>

<Update label="April 24, 2026">
  ## API Changes

  ### GET /v1/public/files

  * ⚠️ removed the required property `items/items/file_path` from the response with the `200` status
  * added the optional property `items/items/description` to the response with the `200` status
  * added the optional property `items/items/title` to the response with the `200` status

  ### GET /v1/public/files/{file_id_0}

  * endpoint added

  ### PATCH /v1/public/files/{file_id_0}

  * endpoint added
</Update>

<Update label="April 19, 2026">
  ## API Changes

  ### GET /v1/public/properties

  * ⚠️ the response property `items/items/references/items/item_document_id` became optional for the status `200`
  * ⚠️ response property `items/items/references/items/item_document_id` list-of-types was widened by adding types `null` to media type `application/json` of response `200`
  * added the optional property `items/items/references/items/file_link_id` to the response with the `200` status
  * response property `items/items/references/items/item_document_id` deprecated

  ### POST /v1/public/properties

  * ⚠️ the response property `references/items/item_document_id` became optional for the status `201`
  * ⚠️ response property `references/items/item_document_id` list-of-types was widened by adding types `null` to media type `application/json` of response `201`
  * added the optional property `references/items/file_link_id` to the response with the `201` status
  * response property `references/items/item_document_id` deprecated

  ### GET /v1/public/properties/{property_id_0}

  * ⚠️ the response property `references/items/item_document_id` became optional for the status `200`
  * ⚠️ response property `references/items/item_document_id` list-of-types was widened by adding types `null` to media type `application/json` of response `200`
  * added the optional property `references/items/file_link_id` to the response with the `200` status
  * response property `references/items/item_document_id` deprecated

  ### PATCH /v1/public/properties/{property_id_0}

  * ⚠️ the response property `references/items/item_document_id` became optional for the status `200`
  * ⚠️ response property `references/items/item_document_id` list-of-types was widened by adding types `null` to media type `application/json` of response `200`
  * added the optional property `references/items/file_link_id` to the response with the `200` status
  * response property `references/items/item_document_id` deprecated
</Update>

<Update label="April 8, 2026">
  ## API Changes

  ### GET /v1/public/files/{file_id_0}/download

  * added the new optional 'query' request parameter 'format'

  ### GET /v1/public/items

  * added the optional property 'items/items/description' to the response with the '200' status

  ### POST /v1/public/items

  * added the new optional request property 'description'
  * added the optional property 'description' to the response with the '201' status

  ### GET /v1/public/items/{item_id_0}

  * added the optional property 'description' to the response with the '200' status

  ### PATCH /v1/public/items/{item_id_0}

  * added the new optional request property 'description'
  * added the optional property 'description' to the response with the '200' status

  ### GET /v1/public/products

  * added the optional property 'items/items/description' to the response with the '200' status

  ### POST /v1/public/products

  * added the new optional request property 'description'
  * added the optional property 'description' to the response with the '201' status

  ### GET /v1/public/products/{product_id_0}

  * added the optional property 'description' to the response with the '200' status

  ### PATCH /v1/public/products/{product_id_0}

  * added the new optional request property 'description'
  * added the optional property 'description' to the response with the '200' status
</Update>

<Update label="April 1, 2026">
  ## API Changes

  ### GET /v1/public/files

  * endpoint added

  ### GET /v1/public/files/{file_id_0}/download

  * endpoint added
</Update>

<Update label="March 10, 2026">
  ## GET /v1/public/products

  * added the optional property 'items/items/archived' to the response with the '200' status
  * added the optional property 'items/items/excludedStatusIds' to the response with the '200' status
  * added the optional property 'items/items/status' to the response with the '200' status

  ## POST /v1/public/products

  * added the optional property 'archived' to the response with the '201' status
  * added the optional property 'excludedStatusIds' to the response with the '201' status
  * added the optional property 'status' to the response with the '201' status

  ## GET /v1/public/products/{product_id_0}

  * added the optional property 'archived' to the response with the '200' status
  * added the optional property 'excludedStatusIds' to the response with the '200' status
  * added the optional property 'status' to the response with the '200' status

  ## PATCH /v1/public/products/{product_id_0}

  * added the optional property 'archived' to the response with the '200' status
  * added the optional property 'excludedStatusIds' to the response with the '200' status
  * added the optional property 'status' to the response with the '200' status
</Update>

<Update label="February 6, 2026">
  ## POST /v1/public/items

  * endpoint added

  ## DELETE /v1/public/items/{item_id_0}

  * endpoint added

  ## PATCH /v1/public/items/{item_id_0}

  * endpoint added

  ## POST /v1/public/products

  * endpoint added

  ## DELETE /v1/public/products/{product_id_0}

  * endpoint added

  ## PATCH /v1/public/products/{product_id_0}

  * endpoint added

  ## POST /v1/public/properties

  * endpoint added

  ## DELETE /v1/public/properties/{property_id_0}

  * endpoint added

  ## PATCH /v1/public/properties/{property_id_0}

  * endpoint added
</Update>
